mod dghv;
use crate::dghv::{decrypt_bit, encrypt_bit, generate_secret_key};

fn main() {
    let eta = 64;
    let secret_key = generate_secret_key(eta);

    let bit = 1;
    let ciphertext = encrypt_bit(bit, &secret_key);
    let decrypted = decrypt_bit(&ciphertext, &secret_key);

    println!("clear bit (b): {}", bit);
    println!("Secret key (p): {}", secret_key);
    println!("Encrypted bit (c): {}", ciphertext);
    println!("decrypted bit : {}", decrypted);
}
